%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global svnrev 624
%global modname xappy

Name:           python-xappy
Version:        0.6.0
Release:        0.1.svn%{svnrev}%{?dist}
Summary:        A Python module providing an easy-to-use layer on top of the Xapian search engine

Group:          Development/Languages
License:        MIT
URL:            https://code.google.com/p/xappy
Source0:        http://xappy.googlecode.com/files/xappy-%{version}-svn%{svnrev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
The "xappy" python module is an easy-to-use interface to the Xapian
search engine. Xapian provides a low level interface, dealing with terms
and documents, but not really worrying about where terms come from, or
how to build searches to match the way in which data has been indexed. In
contrast, "xappy" allows you to design a field structure, specifying what
kind of information is held in particular fields, and then uses this
field structure to index data appropriately, and to build and perform
searches.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Mon Dec 19 2011 Luke Macken <lmacken@redhat.com> - 0.6.0-0.1.svn624
- Initial package of svn snapshot
